cl.cromer.estructuras

## Class Grafico

- java.lang.Object
- - cl.cromer.estructuras.Grafico

    public class Grafico
    extends java.lang.Object

Esta clase es para trabajar con graficos.

Author:
  Chris Cromer

### Nested Class Summary

Nested Classes
`private static class` `Grafico.Destacados` Clase de elemento destacado.

### Field Summary

Fields
`static int` `CIRCULO` Tipo de dibujo circular.
`private java.util.List<Grafico.Destacados>` `destacados` Los elementos destacados.
`static int` `DURACION` Duración de la animación.
`static int` `RECTANGULO` Tipo de dibujo rectuangular.
`private javafx.scene.Scene` `scene` La escena donde está cosas graficas.
`static int` `TEXTO` Tipo de dibjuo texto

### Constructor Summary

Constructors
Constructor and Description
`Grafico(javafx.scene.Scene scene)` Graficar una escena.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static javafx.scene.layout.StackPane` `crearCaja(Colores colores, java.lang.String label)` Crear un rectangulo.
`static javafx.scene.layout.StackPane` `crearCaja(Colores colores, java.lang.String label, java.lang.String texto)` Crear un rectangulo con texto adentro.
`static javafx.scene.layout.StackPane` `crearCirculo(Colores colores, java.lang.String label)`
`static javafx.scene.layout.Pane` `crearEsquinaDerecha()` Crear una linea horizontal para conecatar nodos de arboles.
`static javafx.scene.layout.Pane` `crearEsquinaIzquerda()` Crear una linea para conectar arboles.
`static javafx.scene.layout.StackPane` `crearFlechaAbajo()` Crear una flecha que apunta por abajo.
`static javafx.scene.layout.StackPane` `crearFlechaArriba()` Crear una flecha que apunta por arriba.
`static javafx.scene.layout.StackPane` `crearHashCajas(Colores colores, java.lang.String label)` Crear 3 rectangulos.
`static javafx.scene.layout.Pane` `crearLineaCircular(int cajas)` Crear la linea circular con flecha.
`static javafx.scene.layout.StackPane` `crearLineaHorizontal()` Crear una linea para conectar arboles.
`static javafx.scene.layout.StackPane` `crearLineaVertical()` Crear una linea vertical.
`private static javafx.animation.PauseTransition` `createPauseTransition(javafx.scene.shape.Circle circle, javafx.scene.paint.Color colorBackground)` Crear un animacion de transicion usando colores que cambian.
`private static javafx.animation.PauseTransition` `createPauseTransition(javafx.scene.shape.Rectangle rectangle, javafx.scene.paint.Color colorBackground)` Crear un animacion de transicion usando colores que cambian.
`private static javafx.animation.PauseTransition` `createPauseTransition(javafx.scene.text.Text text, javafx.scene.paint.Color colorText)` Crear un animacion de transicion usando colores que cambian.
`void` `destacar(java.lang.String id, int tipo)` Destacar un elemento
`void` `removerDestacar()` Remover todos los elementos destacados.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DURACION

    public static final int DURACION

Duración de la animación.

See Also:
  Constant Field Values

#### RECTANGULO

    public static final int RECTANGULO

Tipo de dibujo rectuangular.

See Also:
  Constant Field Values

#### CIRCULO

    public static final int CIRCULO

Tipo de dibujo circular.

See Also:
  Constant Field Values

#### TEXTO

    public static final int TEXTO

Tipo de dibjuo texto

See Also:
  Constant Field Values

#### scene

    private final javafx.scene.Scene scene

La escena donde está cosas graficas.

#### destacados

    private final java.util.List<Grafico.Destacados> destacados

Los elementos destacados.

### Constructor Detail

#### Grafico

    public Grafico(javafx.scene.Scene scene)

Graficar una escena.

Parameters:
  `scene` - La scene a destacar.

### Method Detail

#### crearFlechaAbajo

    public static javafx.scene.layout.StackPane crearFlechaAbajo()

Crear una flecha que apunta por abajo.

Returns:
  StackPane: Devolver el stackpane que contiene la flecha.

#### crearEsquinaDerecha

    public static javafx.scene.layout.Pane crearEsquinaDerecha()

Crear una linea horizontal para conecatar nodos de arboles.

Returns:
  Pane: Devolver el pane que contiene la linea.

#### crearEsquinaIzquerda

    public static javafx.scene.layout.Pane crearEsquinaIzquerda()

Crear una linea para conectar arboles.

Returns:
  Pane: Devolver el pane que contiene las lienas.

#### crearLineaHorizontal

    public static javafx.scene.layout.StackPane crearLineaHorizontal()

Crear una linea para conectar arboles.

Returns:
  StackPane: Devolver el pane que contiene las lienas.

#### crearFlechaArriba

    public static javafx.scene.layout.StackPane crearFlechaArriba()

Crear una flecha que apunta por arriba.

Returns:
  StackPane: Devolver el stackpane que contiene la flecha.

#### crearLineaVertical

    public static javafx.scene.layout.StackPane crearLineaVertical()

Crear una linea vertical.

Returns:
  StackPane: Devolver el stackpane que contiene la linea vertical.

#### crearLineaCircular

    public static javafx.scene.layout.Pane crearLineaCircular(int cajas)

Crear la linea circular con flecha.

Parameters:
  `cajas` - int: La cantidad de cajas que están.
Returns:
  StackPane: Devolver el stackpane que contiene la linea horizontal.

#### crearCaja

    public static javafx.scene.layout.StackPane crearCaja(Colores colores,
                                                          java.lang.String label)

Crear un rectangulo.

Parameters:
  `colores` - Colores: Los colores para dar color al rectangulo.
  `label` - String: El texto por el ID de fxml.
Returns:
  StackPane: Devolver el stackpane que contiene el rectangulo y texto.

#### crearCaja

    public static javafx.scene.layout.StackPane crearCaja(Colores colores,
                                                          java.lang.String label,
                                                          java.lang.String texto)

Crear un rectangulo con texto adentro.

Parameters:
  `colores` - Colores: Los colores para dar color al rectangulo.
  `label` - String: El texto por el ID de fxml.
  `texto` - String: El texto a colocar dentro el rectangulo.
Returns:
  StackPane: Devolver el stackpane que contiene el rectangulo y texto.

#### crearCirculo

    public static javafx.scene.layout.StackPane crearCirculo(Colores colores,
                                                             java.lang.String label)

#### crearHashCajas

    public static javafx.scene.layout.StackPane crearHashCajas(Colores colores,
                                                               java.lang.String label)

Crear 3 rectangulos.

Parameters:
  `colores` - Colores: Los colores para dar color a los rectangulos.
  `label` - String: El texto por el ID de fxml.
Returns:
  StackPane: Devolver el stackpane que contiene los rectangulos y textos.

#### destacar

    public void destacar(java.lang.String id,
                         int tipo)

Destacar un elemento

Parameters:
  `id` - int: El indice a destacar.
  `tipo` - int: El tipo de objeto a destacar, 0, 1 o 2

#### createPauseTransition

    private static javafx.animation.PauseTransition createPauseTransition(javafx.scene.shape.Rectangle rectangle,
                                                                          javafx.scene.paint.Color colorBackground)

Crear un animacion de transicion usando colores que cambian.

Parameters:
  `rectangle` - Rectangle: El objeto que desea animar.
  `colorBackground` - Color: Color del fondo de destacar.
Returns:
  PauseTransition: La transition creado con los elementos y colores.

#### createPauseTransition

    private static javafx.animation.PauseTransition createPauseTransition(javafx.scene.shape.Circle circle,
                                                                          javafx.scene.paint.Color colorBackground)

Crear un animacion de transicion usando colores que cambian.

Parameters:
  `circle` - Circle: El objeto que desea animar.
  `colorBackground` - Color: Color del fondo de destacar.
Returns:
  PauseTransition: La transition creado con los elementos y colores.

#### createPauseTransition

    private static javafx.animation.PauseTransition createPauseTransition(javafx.scene.text.Text text,
                                                                          javafx.scene.paint.Color colorText)

Crear un animacion de transicion usando colores que cambian.

Parameters:
  `text` - Text: El texto que desea animar.
  `colorText` - Color: Color del texto.
Returns:
  PauseTransition: La transition creado con los elementos y colores.

#### removerDestacar

    public void removerDestacar()

Remover todos los elementos destacados.